package com.uoc.tellmetweet.common;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.transaction.annotation.Transactional;

public class GenericDAOImpl implements GenericDAO {
	
	private static Logger logger = LoggerFactory.getLogger(GenericDAOImpl.class);

	@PersistenceContext
	protected EntityManager em;
	
	@Transactional
	public void save(Object newInstance) {
		try {
			em.persist(newInstance);
		} catch (Exception e) {
			logger.error("Error: " + e.getMessage(), e);
		}
	}

	@Transactional
	public void update(Object transientObject) {
		em.merge(transientObject);
	}

	@Transactional
	public void delete(Object persistentObject) {
		em.remove(persistentObject);
	}
	
	
}
