package com.uoc.tellmetweet.dao;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.uoc.tellmetweet.common.GenericDAOImpl;
import com.uoc.tellmetweet.domain.TmAdmins;
import com.uoc.tellmetweet.exception.TellmetweetDAOException;

@Transactional
@Repository
public class AdminsDAOImpl extends GenericDAOImpl implements AdminsDAO {
	
	private static Logger logger = LoggerFactory.getLogger(GenericDAOImpl.class);
	
	/**
	 * Guarda un objeto TmAdmins en la base de datos
	 */
	public void saveAdmin(TmAdmins admins) throws TellmetweetDAOException {
		
		try {
			admins.persist();
		} catch (Exception e) {
			logger.error("Error: " + e.getMessage(), e);
			throw new TellmetweetDAOException(e.getMessage(), e);
		}
	}

}



