package com.uoc.tellmetweet.dao;

import java.util.List;

import com.uoc.tellmetweet.domain.TmLocations;
import com.uoc.tellmetweet.exception.TellmetweetDAOException;

import twitter4j.Location;
import twitter4j.ResponseList;
import twitter4j.TwitterFactory;

public interface LocationsDAO {

	/**
	 * Persiste un objeto Locations
	 */
	public void saveLocation(TmLocations tmLocations) throws TellmetweetDAOException;
	
	/**
	 * Obtiene la lista de locations
	 */
	public ResponseList<Location> findAllLocations(TwitterFactory tf) throws TellmetweetDAOException;
	
	/**
	 * Obtiene una Locations pasando el woeid
	 * Si no se ha insertado ningún registro duplicado, la lista solamente tendrá un registro
	 * @param woeid
	 * @return List<Locations>
	 */
	public List<TmLocations> findLocationByWoeid(Integer woeid) throws TellmetweetDAOException;
	
	/**
	 * Comprueba si el location existe en la BD, si no existe lo inserta
	 * @param listLocations
	 */
	public void saveAllLocations(ResponseList<Location> listLocations) throws TellmetweetDAOException;
	
}
