package com.uoc.tellmetweet.dao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.uoc.tellmetweet.common.GenericDAOImpl;
import com.uoc.tellmetweet.domain.TmPayments;
import com.uoc.tellmetweet.exception.TellmetweetDAOException;

@Transactional
@Repository
public class PaymentsDAOImpl  extends GenericDAOImpl implements PaymentsDAO {
	
	private static Logger logger = LoggerFactory.getLogger(PaymentsDAOImpl.class);
	
	/**
	 * Guarda un objeto TmPayments en la base de datos
	 */
	public void save(TmPayments tmPayments) throws TellmetweetDAOException {
		
		try {
			tmPayments.persist();
		} catch (Exception e) {
			logger.error("Error: " + e.getMessage(), e);
			throw new TellmetweetDAOException(e.getMessage(), e);
		}
	}

}
