package com.uoc.tellmetweet.dao;

import java.util.List;

import com.uoc.tellmetweet.domain.TmActivelocations;
import com.uoc.tellmetweet.domain.TmTrend;
import com.uoc.tellmetweet.dto.FilterTrendDTO;
import com.uoc.tellmetweet.exception.TellmetweetDAOException;

import twitter4j.Trend;
import twitter4j.TwitterFactory;

public interface TrendDAO {

	/**
	 * Obtiene la lista de trend de un location 
	 * @param tf - TwitterFactory
	 * @param woeid
	 * @return Trend[]
	 */
	public Trend[] findAllTrendByLocation(TwitterFactory tf, TmActivelocations tmActivelocations) throws TellmetweetDAOException;
	
	
	/**
	 * Obtiene los trend filtrado por el woeid
	 * @param woeid
	 * @throws TellmetweetDAOException
	 */
	public List<TmTrend> findAllTrendByWoeid(FilterTrendDTO filterTrendDTO, int page, int limit, int start) throws TellmetweetDAOException;
	
	
	/**
	 * Obtiene el número de HomeTrends by woeid
	 * @param filterTrendDTO
	 * @return int
	 */
	public int countFindAllTrendByWoeid(FilterTrendDTO filterTrendDTO) throws TellmetweetDAOException;
}
