package com.uoc.tellmetweet.dao;

import java.util.List;

import com.uoc.tellmetweet.domain.TmActivelocations;
import com.uoc.tellmetweet.domain.TmTrend;
import com.uoc.tellmetweet.domain.TmTrends;
import com.uoc.tellmetweet.exception.TellmetweetDAOException;

import twitter4j.Trends;
import twitter4j.TwitterFactory;

public interface TrendsDAO {
	
	/**
	 * Obtiene la lista de trend de un location 
	 * @param tf - TwitterFactory
	 * @param woeid
	 * @return Trend[]
	 */
	public Trends findAllTrendsByLocation(TwitterFactory tf, TmActivelocations tmActivelocations) throws TellmetweetDAOException; 
	
	
	/**
	 * Persiste un objeto Trends
	 */
	public void saveTmTrends(TmTrends tmTrends);
	
	/**
	 * Obtiene un listado con los últimos trends para mostrarlos en portada
	 * @param listTmActivelocations
	 * @return List<TmTrends>
	 */
	public List<TmTrend> findAllHomeTrend(Integer woeid) throws TellmetweetDAOException;

}
