package com.uoc.tellmetweet.dao;

import com.uoc.tellmetweet.domain.TmUserlocations;
import com.uoc.tellmetweet.exception.TellmetweetBOException;
import com.uoc.tellmetweet.exception.TellmetweetDAOException;

public interface UserLocationDAO {

    /**
     * Crea un nuevo userLocation
     * @param tmUserlocations
     * @return Integer
     * @throws TellmetweetDAOException
     */
    public Integer create(TmUserlocations tmUserlocations) throws TellmetweetDAOException;
    
    /**
     * Devuelve las userLocations de un usuario
     * @param email
     * @return TmUserlocations
     * @throws TellmetweetBOException
     */
    public TmUserlocations findTmUsersLocations(String email) throws TellmetweetBOException;
    
    /**
     * Actualiza un TmUserlocations
     * @param tmUserlocations
     * @return int
     * @throws TellmetweetDAOException
     */
    public Integer update(TmUserlocations tmUserlocations) throws TellmetweetDAOException;
    
}
