Ext.define('Tellmetweet.view.chart.ChartController', {
    extend: 'Ext.app.ViewController',

    alias: 'controller.chartController',

    init: function () {
    	var me = this;

		this.control({
			'chart': {
				afterrender : me.load
			},
			
			'chartFilter' :  {
				validitychange : me.onValidate
			}
		});
		
    },
    
	load: function (chartPanel) {
		var me = this;	

		var chartContainer = chartPanel.down('container[name=chartColumn]');
		if(chartContainer!=null && chartContainer.xtype==='container'){
			
			me.store = Ext.create('Tellmetweet.store.Chart');
			
			/* Filtro */
			var filter = me.view.up('chartPanel').down('chartFilter');
			var comboBox  = filter.down('combobox');
			
			if(!comboBox.store.isLoaded()){
				comboBox.setLoading(true)
				comboBox.store.load({
					callback : function(records, operation, success) {
						comboBox.setLoading(false)
						if (success) {
							comboBox.setDisabled(false);
							comboBox.queryMode = 'local';
						}
					}
				});
			};
			

			var woeid = comboBox.value;
			var from_date = filter.down('datefield[name=from_date]').rawValue;
			if(woeid==null){woeid = 23424950; }  // Spain woeid
			var json = {responseType: 'list'};
			json.where = [];
			json.where.push( {name: 'woeid', value : woeid} );
			json.where.push( {name: 'from_date', value : from_date} );
			
			/* Carga store */
			var view = chartPanel.up('chartPanel');
			view.setLoading(true)
			me.store.getProxy().setExtraParams({'filterJson' : Ext.encode(json), 'userEmail' : localStorage.user});
			me.store.load({
				callback : function(records, operation, success, msg) {
					view.setLoading(false);
					if (success) {
						console.log('chart store loaded');
						me.createChart(chartContainer, records);
					}else{
						Ext.MessageBox.alert('Error', operation.error.response.responseText);
					}
				}
			});
			
//			me.createChart(chartContainer, me); // borrar
		}
	},
	
	createChart: function (chartContainer, records) {
		var chart = Ext.create('Ext.chart.CartesianChart', {
		    width: '500%',
		    animate: true,
		    store: {
		        fields: ['name', 'day', 'week', 'month'],
		        data : records
//		        data: [
//		            {"name": "Item-0", "day": 18.34,"week": 0.04, "month": 12},
//		            {"name": "Item-1", "day": 2.67, "week": 14.87, "month": 6},
//		            {"name": "Item-2", "day": 1.90, "week": 5.72, "month": 4},
//		            {"name": "Item-3", "day": 21.37,"week": 2.13, "month": 0.04},
//		            {"name": "Item-4", "day": 2.67, "week": 8.53, "month": 14},
//		            {"name": "Item-5", "day": 18.22,"week": 4.62, "month": 20},
//		            {"name": "Item-6", "day": 28.51, "week": 12.43, "month": 6},
//		            {"name": "Item-7", "day": 34.43, "week": 4.40, "month": 6},
//		            {"name": "Item-8", "day": 21.65, "week": 13.87, "month": 6},
//		            {"name": "Item-9", "day": 12.98, "week": 35.44, "month": 6},
//		            {"name": "Item-10", "day": 22.96, "week": 38.70, "month": 6},
//		            {"name": "Item-11", "day": 0.49, "week": 51.90, "month": 6},
//		            {"name": "Item-12", "day": 20.87, "week": 62.07, "month": 6},
//		            {"name": "Item-13", "day": 25.10, "week": 78.46, "month": 6},
//		            {"name": "Item-14", "day": 16.87, "week": 56.80, "month": 6},
//		            {"name": "Item-15", "day": 28.51, "week": 12.43, "month": 6},
//		            
//		            {"name": "Item-16", "day": 18.34,"week": 0.04, "month": 12},
//		            {"name": "Item-17", "day": 2.67, "week": 14.87, "month": 6},
//		            {"name": "Item-18", "day": 1.90, "week": 5.72, "month": 4},
//		            {"name": "Item-19", "day": 21.37,"week": 2.13, "month": 0.04},
//		            {"name": "Item-20", "day": 2.67, "week": 8.53, "month": 14},
//		            {"name": "Item-21", "day": 18.22,"week": 4.62, "month": 20},
//		            {"name": "Item-22", "day": 28.51, "week": 12.43, "month": 6},
//		            {"name": "Item-23", "day": 34.43, "week": 4.40, "month": 6},
//		            {"name": "Item-24", "day": 21.65, "week": 13.87, "month": 6},
//		            {"name": "Item-25", "day": 12.98, "week": 35.44, "month": 6},
//		            {"name": "Item-26", "day": 22.96, "week": 38.70, "month": 6},
//		            {"name": "Item-27", "day": 0.49, "week": 51.90, "month": 6},
//		            {"name": "Item-28", "day": 20.87, "week": 62.07, "month": 6},
//		            {"name": "Item-29", "day": 25.10, "week": 78.46, "month": 6},
//		            {"name": "Item-30", "day": 16.87, "week": 56.80, "month": 6},
//		            {"name": "Item-31", "day": 28.51, "week": 12.43, "month": 6},
//		            
//		            {"name": "Item-32", "day": 18.34,"week": 0.04, "month": 12},
//		            {"name": "Item-32", "day": 2.67, "week": 14.87, "month": 6},
//		            {"name": "Item-33", "day": 1.90, "week": 5.72, "month": 4},
//		            {"name": "Item-34", "day": 21.37,"week": 2.13, "month": 0.04},
//		            {"name": "Item-35", "day": 2.67, "week": 8.53, "month": 14},
//		            {"name": "Item-36", "day": 18.22,"week": 4.62, "month": 20},
//		            {"name": "Item-37", "day": 28.51, "week": 12.43, "month": 6},
//		            {"name": "Item-38", "day": 34.43, "week": 4.40, "month": 6},
//		            {"name": "Item-39", "day": 21.65, "week": 13.87, "month": 6},
//		            {"name": "Item-40", "day": 12.98, "week": 35.44, "month": 6},
//		            {"name": "Item-41", "day": 22.96, "week": 38.70, "month": 6},
//		            {"name": "Item-42", "day": 0.49, "week": 51.90, "month": 6},
//		            {"name": "Item-43", "day": 20.87, "week": 62.07, "month": 6},
//		            {"name": "Item-44", "day": 25.10, "week": 78.46, "month": 6},
//		            {"name": "Item-45", "day": 16.87, "week": 56.80, "month": 6},
//		            {"name": "Item-46", "day": 28.51, "week": 12.43, "month": 6},
//		            
//		            {"name": "Item-47", "day": 18.34,"week": 0.04, "month": 12},
//		            {"name": "Item-48", "day": 2.67, "week": 14.87, "month": 6},
//		            {"name": "Item-49", "day": 1.90, "week": 5.72, "month": 4},
//		            {"name": "Item-50", "day": 21.37,"week": 2.13, "month": 0.04},
//		            {"name": "Item-51", "day": 2.67, "week": 8.53, "month": 14},
//		            {"name": "Item-52", "day": 18.22,"week": 4.62, "month": 20},
//		            {"name": "Item-53", "day": 28.51, "week": 12.43, "month": 6},
//		            {"name": "Item-54", "day": 34.43, "week": 4.40, "month": 6},
//		            {"name": "Item-55", "day": 21.65, "week": 13.87, "month": 6},
//		            {"name": "Item-56", "day": 12.98, "week": 35.44, "month": 6},
//		            {"name": "Item-57", "day": 22.96, "week": 38.70, "month": 6},
//		            {"name": "Item-58", "day": 0.49, "week": 51.90, "month": 6},
//		            {"name": "Item-59", "day": 20.87, "week": 62.07, "month": 6},
//		            {"name": "Item-60", "day": 25.10, "week": 78.46, "month": 6},
//		            {"name": "Item-61", "day": 16.87, "week": 56.80, "month": 6},
//		            {"name": "Item-62", "day": 28.51, "week": 12.43, "month": 6},
//		            
//		        ]
		    },  

		    legend: {
		        docked: 'right'
		    },

		    axes: [{
		        type	: 'numeric',
		        position: 'left',
		        grid	: true,
		        minimum	: 0
		    }, {
		        type	: 'category',
		        position: 'bottom',
		        label	:{
		            rotate:{degrees: -45},
		            font: 'bold 0.8em Arial'
		        }
		    }],

		    series: [{
		        type		: 'bar',
		        xField		: 'name',
		        yField		: ['day', 'week', 'month'],
		        title		: ['h/day', 'h/week', 'h/month'],
		        axis		: 'bottom',
	            highlight	: true,
	            contrast	: true,
	            tips: {
	                trackMouse	: true,
	                width		: 280,
	                height		: 140,
	                renderer	: function(storeItem, item) {
	                			storeItem.setTitle('<h2 style="word-wrap: break-word">'+item.data.name+'</h2>' +
	                			'<p>'+item.data.day+' : hours in selected day</p>' +
	                			'<p>'+item.data.week+' : hours in selected week</p>' +
	                			'<p>'+item.data.month+' : hours in selected month</p>');
	                }
	            }
		    }]
		});
		chartContainer.add(chart);

	},
	
	onSearch: function(btn) {
		var me = this;
		var chartContainer = this.view.up().down('container[name=chartColumn]');
		chartContainer.removeAll();
		me.load(me.view.up().down('chartColumn'));
	},
	
	onClean: function(btn) {
		var me = this;
		me.view.form.reset();
	},
	
	onValidate : function() {
		var me = this;
		me.view.down('button[handler=onClean]').setDisabled(!me.view.form.isValid());
		me.view.down('button[handler=onSearch]').setDisabled(!me.view.form.isValid());
	}
    
});