/**
 * chart filter.
 */
Ext.define('Tellmetweet.view.chart.Filter', {
    extend		: 'Ext.form.Panel',
    xtype		: 'chartFilter',
    alias 		: 'widget.chartFilter',
    controller 	: 'chartController',
	cls			: 'filter',
	clsBase		: 'chart',
    
	requires: ['Tellmetweet.view.chart.ChartController'],

	defaults : {
		anchor : '100%'
	},
	fieldDefaults : {
		labelAlign : 'top',
		labelPad : 1,
		labelSeparator : ''
	},
    
	initComponent : function(){
		var me = this;
		me.title = 'Filter';
		
		me.store = Ext.create('Tellmetweet.store.Chart');
		
		me.searchFields = [
		       			{
		       				name : 'locationName', 
		       				label: 'Searchfield'
		       			}],
		       			
		me.items = [
		       		{
						xtype           : 'combobox',
						forceSelection	: true,
						fieldLabel      : 'Location',
						queryMode       : 'remote',
						queryParam 		: 'queryParam',
						valueField		: 'woeid',
						displayField	: 'locationName',
						store			: Ext.create('Tellmetweet.store.ActiveLocation'),
						triggerAction	: 'all',
						autoSelect		: false,
	    			    hideTrigger		: false,
	    			    minChars		: 1,
	    			    typeAhead		: true,
	    			    value			: 23424950,
	    			    disabled		: true,
	    			    allowBlank 		: false,
	    			    blankText 		: 'Selecciona una localización...'
		       		},{
		       	        xtype			: 'datefield',
		       	        anchor			: '100%',
		       	        fieldLabel		: 'Date',
		       	        name			: 'from_date',
		       	        maxValue		: new Date(),
		       	        value			: new Date(),
		       	        format			: 'Y/m/d'
		       	    },{
		       			xtype	: 'button',
		       			text	: 'Clean',
		       			handler	: 'onClean'
		       		},{
		       			xtype	: 'button',
		       			text	: 'Search',
		       			handler	: 'onSearch'
		       		}
		       		];
		
		me.store.filter('woeid','from_date');
		
		me.callParent();
	}


    

});