Ext.define('Tellmetweet.view.homeTrends.HomeTrendsController', {
    extend: 'Ext.app.ViewController',
    plugins: 'responsive',
    alias: 'controller.hometrendsController',

    init: function () {
    	var me = this;
    	console.log('Initializing hometrendsController');

		this.control({
			'homeTrends': {
				afterrender : me.load
			}
		});
		
    },
    
	load: function (dataList) {
		var me = this;	
		console.log('Function load');
		
		var homeTrendsContainer = dataList.down('container[name=homeTrends]');
		var panel1 = Ext.create('Ext.panel.Panel', {
			name    : 'container1',
			flex	: 1,
			padding	: '10%',
			items:[{
						title : 'Searching...'
					}]
		});
		
		var panel2 = Ext.create('Ext.panel.Panel', {
			name    : 'container2',
			flex 	: 1,
			padding	: '10%',
			items:[{
						title : 'Searching...'
					}]
		});
		
		var panel3 = Ext.create('Ext.panel.Panel', {
			name    : 'container3',
			flex 	: 1,
			padding	: '10%',
			items:[{
						title : 'Searching...'
					}]
		});

		homeTrendsContainer.add(panel1);
		homeTrendsContainer.add(panel2);
		homeTrendsContainer.add(panel3);

		if(localStorage.length>0 && localStorage.user!=undefined && localStorage.user!="null" && localStorage.user.length>=3){
			storeLocation = Ext.create('Tellmetweet.store.UserLocation');  
			/* Carga store */
			storeLocation.getProxy().setExtraParams({'userEmail' : localStorage.user});
			storeLocation.load({
				callback : function(records, operation, success) {
					//dataList.setLoading(false);
						if (success) {
							me.renderWoeids(records[0].data.woeid1, dataList, panel1);
							me.renderWoeids(records[0].data.woeid2, dataList, panel2);
							me.renderWoeids(records[0].data.woeid3, dataList, panel3);
						}else{
							Ext.MessageBox.alert('Error', operation.error.response.responseText);
						}
				}
			});
		}else{
			me.renderWoeids(776688, dataList, panel1); // 76688 valencia
			me.renderWoeids(766273, dataList, panel2); // 766273 Madrid
			me.renderWoeids(753692, dataList, panel3); // 753692 Barcelona
		}
	},
	
	renderWoeids : function(woeid, dataList, panel) {
		var me = this;
		me.getTrendByWoeid(dataList, woeid, panel); 
	},
	
	/**
	 * Devuelve un gridpanel, que contiene columnas con los 
	 * Trending Topics del woeid pasado
	 */
	getTrendByWoeid: function(dataList, woeid, container) {
		
		dataList.setLoading(true);
		dataList.store.clearData();
		dataList.store.getProxy().setExtraParams({'woeid' : woeid}); 
		dataList.store.load({
			callback : function(records, operation, success) {
				dataList.setLoading(false);
				if (success) {
					console.log('Store cargado');
					var grid = new Ext.grid.GridPanel({
						store: Ext.create('store.homeTrends'),
						columns: [{header: 'Trends' ,dataIndex: 'name' , flex: 1}]
					});
					var gridPanel = new Ext.create('Ext.grid.Panel', {});
					grid.store.data.items = records;
					gridPanel.add(grid);
					container.add(gridPanel);
					var itemContainer = container.items.items[0];
					itemContainer.setTitle(grid.store.data.items[0].data.locationName);
				}else{
					console.log('Fallo');
				}
			}
		});
	}
	/* end getTrendByWoeid */
    
    
});