Ext.define('Tellmetweet.view.main.CustomHeader', {
	extend 		: 'Ext.container.Container',
	alias 		: 'widget.customheader',
	requires	: [],
	store 		: null,
	
	initComponent : function() {
		var me = this;
		
		me.items = [{
			xtype 	: 'toolbar',
//			ui 		: 'appheader',
			items : [{
				xtype 	: 'tbtext',
                html 	: '<b>Tellmetweet</b>'
			},{
				text	: 'Home',
				glyph	: 'xf099@FontAwesome',
				handler	: 'showHome'
			},{
				text	: 'Trending Topics',
				glyph	: 'xf0ce@FontAwesome',
				handler	: 'showTrendList'
			},{
				text	: 'Map',
				glyph	: 'xf0ac@FontAwesome',
				handler	: 'showMap'
				
			},{
				text	: 'Chart',
				glyph	: 'xf080@FontAwesome',
				handler	: 'showChart'
				
			},
				'->'
			,{
				xtype 	: 'tbtext',
				bind	: '{user.name}',
				cls 	: 'user-id',
				text	: 'User: ' + me.getUser(),
				name	: 'user'
			},{
				xtype 	: 'tbtext',
				bind	: '{user.name}',
				cls 	: 'premium',
				text	: me.getPremium(),
				name	: 'userPremium',
				hidden 	: !me.isLogged() || !me.isPremium()
			},{
				glyph	: 'xf085@FontAwesome',
				handler	: 'onUserClick',
				hidden 	: !me.isLogged()
			},{
				text	: 'Register',
				glyph	: 'xf040@FontAwesome',
				handler	: 'onRegister',
				hidden 	: me.isLogged()
			},{
				text	: 'Login',
				glyph	: 'xf090@FontAwesome',
				handler	: 'onLogin',
				hidden 	: me.isLogged()
			
			},{
				text	: 'Premium',
				glyph	: 'xf155@FontAwesome',
				handler	: 'onPremium',
				hidden 	: !me.isLogged() || me.isPremium()
			},{
				cls 	: 'btn-logout',
				glyph	: 'xf011@FontAwesome',
				action 	: 'logout',
				handler	: 'onLogout',
		        hidden 	: !me.isLogged()
		
			}]
			

			
		}];
		me.callParent();
	},
	
	isLogged : function(){
		return localStorage.user!=undefined && localStorage.logged!=undefined && localStorage.logged=="true";
	},
	
	isPremium : function() {
		return localStorage.user!=undefined && localStorage.rol!=undefined && localStorage.rol=="P";
	},
	
	getUser : function() {
		return (localStorage.user==undefined || localStorage.user=="null") ?'':localStorage.user;
	},
	
	getPremium : function() {
		debugger;
		return (localStorage.rol != undefined && localStorage.rol=='P')?'Premium':'';
	}
	
});