/**
 * This class is the main view for the application. It is specified in app.js as
 * the "mainView" property. That setting automatically applies the "viewport"
 * plugin causing this view to become the body element (i.e., the viewport).
 * 
 * TODO - Replace this content of this view to suite the needs of your
 * application.
 */
Ext.define('Tellmetweet.view.main.Main', {
	extend : 'Ext.tab.Panel',
	plugins: 'responsive',
    responsiveConfig: {
            landscape: {
                    tabPosition: 'left'
            },
            portrait: {
                    tabPosition: 'top'
            }
    },
	xtype : 'app-main',

	requires : [ 'Ext.plugin.Viewport', 'Ext.window.MessageBox',

	'Tellmetweet.view.main.MainController', 'Tellmetweet.view.main.MainModel',
			'Tellmetweet.view.main.List', 'Tellmetweet.view.main.CustomHeader',
			'Tellmetweet.view.main.Footer' ],

	controller : 'main',
	viewModel : 'main',
	plugins : 'viewport',

	layout : {
		type : 'fit'
	},

	initComponent : function() {
		var me = this;
		me.items = [ {

			border : false,
			items : [ {
				region 		: 'north',
				xtype 		: 'customheader'
			}, {
				region 		: 'west'
			}, {
				region 		: 'center',
				xtype 		: 'center',
				reference	: 'center'
			}, {
				region 		: 'east'
			}, {
				region 		: 'south',
				xtype 		: 'footer'
			} ]
		} ];

		me.callParent();
	}

});
