/**
 * This class is the controller for the main view for the application. It is specified as
 * the "controller" of the Main view class.
 *
 * TODO - Replace this content of this view to suite the needs of your application.
 */
Ext.define('Tellmetweet.view.main.MainController', {
    extend: 'Ext.app.ViewController',

    alias: 'controller.main',
    
	init : function() {
		var me = this;
		console.log('Iniciando MainController');
		
		var view = me.view;
		view.getTabBar().hide();
		view.componentLayout.childrenChanged = true;
		//view.doComponentLayout();
		// Añado los homeTrends al centro al iniciar la aplicación
		var center = me.view.down('center');
		center.add({xtype: 'homeTrends'});
		
	      
	},
    
    
	onClickButton : function() {
		Ext.Msg.confirm('Confirm', 'Are you sure?', 'onConfirm', this);
	},

	onConfirm : function(choice) {
		if (choice === 'yes') {
			//
		}
	},
	
    showHome : function(btn) {
    	var me = this;
       	me.onChangeCenter('homeTrends');
    },
    
    showTrendList : function(btn) {
    	var me = this;
       	me.onChangeCenter('trendList');
    },
    
    showMap : function(btn) {
    	var me = this;
       	me.onChangeCenter('mappanel');
    },
    
    showChart : function(btn) {
    	var me = this;
       	me.onChangeCenter('chartPanel');
    },
    
	onUserClick : function(btn) {
		var me = this;
		if(localStorage.length>0 && localStorage.user.length>=3){
			
			// Comprobar fechas
			if(false){
				
			} else{
				me.loadUserLocations();
			}
			
			
		}
	},
    
	loadUserLocations : function() {
		var me = this;
		storeLocation = Ext.create('Tellmetweet.store.UserLocation');  
		/* Carga store */
		storeLocation.getProxy().setExtraParams({'userEmail' : localStorage.user});
		storeLocation.load({
			callback : function(records, operation, success) {
				//dataList.setLoading(false);
				if (success) {
					console.log('cargado ok');
					// cargar los locations
					console.log('Cargando locations');
					
					var start = records[0].data.fupdate;
					var end = new Date();
					var diff = end - start;
					var days = parseInt(diff / 86400000);
					if(localStorage.user!=undefined && localStorage.rol!='P' && days==0) {
						Ext.MessageBox.alert('Error', 'Only one change/day permited to register users, if you like to get more buy the Premium Account');
						return;
					}
					
					var fupdate = records[0].data.fupdate;
					var currentDate = new Date();
					var days = new Date() - records[0].data.fupdate;
					var woeid = [records[0].data.woeid1, records[0].data.woeid2, records[0].data.woeid3];
					
					Ext.create({
						xtype			: 'userLocations',
						maincontroller	: me,
						woeid			: woeid
					});
					
				}else{
					Ext.MessageBox.alert('Error', operation.error.response.responseText);
				}
			}
		});
	},
    
    onChangeCenter : function(panel) {
    	var me = this;
		var center = me.view.down('center');
		center.removeAll();
		center.add({xtype: panel});
		this.redirectTo(panel, true);
    },
    
    onLogin: function () {
    	var me = this;
        localStorage.removeItem('logged');
        Ext.create({
            xtype			: 'login',
            maincontroller	: me
        });
    },
    
    onRegister: function () {
    	var me = this;
        localStorage.removeItem('logged');
        Ext.create({
            xtype			: 'register',
            maincontroller	: me
        });
    },
    
    onLogout: function() {
    	var me = this;
    	localStorage.setItem("logged", false);
    	localStorage.setItem("user", '');
    	localStorage.setItem("rol", '');
        this.getView().destroy();
        Ext.create({
            xtype: 'app-main'
        });
        Ext.MessageBox.alert('See you soon', 'You are logged out of the system');
    },
    
    updateUser: function(user) {
    	localStorage.setItem("user", user);
        this.getView().destroy();
        Ext.create({
            xtype: 'app-main'
        });
    },
    
    onPremium : function(btn) {
    	var me = this;
        localStorage.removeItem('rol');
        var premium = Ext.create({
            xtype			: 'premium',
            maincontroller	: me
        });
        premium.down('textfield[name=email]').setValue(localStorage.user);
    }
    
    

    
    
});
