Ext.define('Tellmetweet.view.map.MapController', {
    extend: 'Ext.app.ViewController',
    alias: 'controller.map-map',
    
    init: function () {
    	var me = this;
    	
    	/* Controles */
		this.control({
			'mappanel': {
				afterrender : me.load
			}
		});
		
    },
    
    load : function(mappanel) {
    	
    	var me = this;
    	console.log('MapController loaded');
    	var map = mappanel.map;
    	var mapStore = Ext.create('Tellmetweet.store.ActiveLocation');
    	var view = me.view.up();
    	view.setLoading(true)
    	mapStore.getProxy().setExtraParams({'userEmail' : localStorage.user});
    	mapStore.load({
			callback : function(records, operation, success) {
				view.setLoading(false)
					if (success) {
						console.log('mapStore load');
						Ext.each(records, function(item){
							console.log('item');
							me.addMarker(map, item);
						});
					}else{
						Ext.MessageBox.alert('Error', operation.error.response.responseText);
					}
				}
		});
    	
    	
//    	var item = {
//        		'data' : {
//            		'locationName' : 'Spain',
//            		'latitude' : 40,
//            		'longitude' : -3
//        		}
//        	};
//        	
//        	me.addMarker(map, item);
//        	
//        	var item2 = {
//            		'data' : {
//                		'locationName' : 'Marruecos',
//                		'latitude' : 35,
//                		'longitude' : 5
//            		}
//            	};
//        	
//        	me.addMarker(map, item2);
            	
    	
    },
    
    addMarker : function(map, item) {
    		
    	var textElement = $('<div class="marker"><i class="fa fa-map-marker fa-2x"></i><label>'+item.data.locationName+'</label></div>')
		  .css({marginTop: '-200%', marginLeft: '-50%', cursor: 'pointer', width: '20px', height: '20px'});

    	var over = new ol.Overlay({
    		position: ol.proj.transform([item.data.longitude, item.data.latitude], 'EPSG:4326', 'EPSG:3857'),
  		  	element: textElement
  		});
    	
    	map.addOverlay(over);
    	over.B.element[0].attributes.latitude = item.data.latitude;
    	over.B.element[0].attributes.longitude = item.data.longitude;
    	over.B.element[0].attributes.locationName = item.data.locationName;
    	over.B.element[0].attributes.woeid = item.data.woeid;
    	over.B.element.click(function(evt) {
    		if($('.popup').size()==0){
    			var me = this;

    			var attributes = evt.target.offsetParent.childNodes[0].attributes,
    			latitude = attributes.latitude,
    			longitude = attributes.longitude,
    			locationName = attributes.locationName;
    			
    			var center = "<ul>";
    			var mapMarker = Ext.create('Tellmetweet.store.HomeTrends');
    			mapMarker.getProxy().setExtraParams({'woeid' : attributes.woeid});
    			mapMarker.load({
    				callback : function(records, operation, success) {
    					//dataList.setLoading(false);
    					if (success) {
    						console.log('Map Store cargado');
    						Ext.each(records, function(item){
    							center += "<li>"+ item.data.name +"</li>";
    						});
    						center +="</ul>";
    						popup = $("<div class='popup'>" +
    								"<div class='title'><span>"+locationName+"</span><i class='fa fa-times-circle-o fa-2x' onclick='debugger;this.parentNode.parentNode.remove();'></i></div>" +
    								"<div clas='center'>"+center+"</div>" +
    								"</div>"
    						);
    						map.addOverlay(new ol.Overlay({
    							position: ol.proj.transform([longitude, latitude], 'EPSG:4326', 'EPSG:3857'),
    							element: popup
    						}));
    						
    					}else{
    						console.log('Fallo');
    					}
    				}
    			});
    			
    			
    			
    		}
    	});
    }
    
    
    
    
    
});
