Ext.define('Tellmetweet.view.security.Login', {
    extend: 'Ext.window.Window',
    xtype: 'login',

    requires: [
        'Ext.form.Panel'
    ],

    controller	: 'login',
    bodyPadding	: 10,
    title		: 'Login user',
    closable	: false,
    autoShow	: true,
    closeAction	: 'destroy',
    autoScroll	: 'true',
    closable	: true,
    modal		: true,

    items: {
        xtype		: 'form',
        reference	: 'form',
        
        items: [{
            xtype			: 'textfield',
            name			: 'email',
            fieldLabel		: 'Email',
            allowBlank		: false,
            maxLength		: 32,
            vtype			: 'email', 
            enforceMaxLength: true,
            listeners		: { afterrender: function(field) {Ext.defer(function() {field.focus(true, 100);}, 1);}}
        }, {
            xtype			: 'textfield',
            name			: 'pass',
            inputType		: 'password',
            fieldLabel		: 'Password',
            allowBlank		: false,
            minLength		: 4,
            maxLength		: 32,
            enforceMaxLength: true
        }],
        buttons: [{
            text			: 'Login',
            formBind		: true,
            listeners: {
                click		: 'onLogin'
            }
        }]
    }
});

Ext.onReady(function() {
	
	var me = this;
	
    Ext.apply(Ext.form.field.VTypes, {
        
        email: function(val, field){
        	var regx = /^(\w+)([\-+.][\w]+)*@(\w[\-\w]*\.){1,5}([A-Za-z]){2,6}$/;
        	return regx.test(val);
        }
        
    });

});