Ext.define('Tellmetweet.view.security.Premium', {
    extend: 'Ext.window.Window',
    xtype: 'premium',

    requires: [
        'Ext.form.Panel'
    ],

    controller	: 'premiumController',
    bodyPadding	: 10,
    title		: 'Get Premium',
    closable	: false,
    autoShow	: true,
    closeAction	: 'destroy',
    autoScroll	: 'true',
    closable	: true,
    modal		: true,

    items: {
        xtype		: 'form',
        reference	: 'form',
        
	        items: [
		        {
		            xtype			: 'textfield',
		            name			: 'firstName',
		            fieldLabel		: 'Name',
		            allowBlank		: false,
		            minLength		: 3,
		            maxLength		: 32,
		            enforceMaxLength: true,
		            maskRe			: /^[a-zA-Z\s]+$/,
		            listeners		: { afterrender: function(field) {Ext.defer(function() {field.focus(true, 100);}, 1);}}
		        },{
		            xtype			: 'textfield',
		            name			: 'lastName',
		            fieldLabel		: 'Surname',
		            allowBlank		: false,
		            minLength		: 3,
		            maxLength		: 32,
		            enforceMaxLength: true,
		            vtype			: 'surname', 
		            compareTo		: 'firstName',
		            maskRe			: /^[a-zA-Z\s]+$/  
		        },{
					xtype           : 'combobox',
					name			: 'type',
					forceSelection	: true,
					fieldLabel      : 'Credit card',
					queryMode       : 'remote',
					queryParam 		: null,
					valueField		: 'code',
					displayField	: 'description',
					store			: [['visa','Visa'],['mastercard','Master Card']],
					autoSelect		: false,
    			    hideTrigger		: false,
    			    minChars		: 1,
    			    typeAhead		: true,
    			    value			: 'visa'
		        },{
		            xtype			: 'textfield',
		            name			: 'number',
		            fieldLabel		: 'Number',
		            allowBlank		: false,
		            maxLength		: 16,
		            enforceMaxLength: true,
		            vtype			: 'creditNumber' 
		        },{
					xtype           : 'combobox',
					name			: 'expireMonth',
					forceSelection	: true,
					fieldLabel      : 'Expire Month',
					queryMode       : 'remote',
					queryParam 		: null,
					valueField		: 'code',
					displayField	: 'description',
					store			: [['1','1 - Enero'],['2','2 - Febrero'],['3','3 - Marzo'],['4','4 - Abril'],['5','5 - Mayo'],['6','6 - Junio'],['7','7 - Julio'],['8','8 - Agosto'],['9','9 - Septiembre'],['10','10 - Octubre'],['11','11 - Noviembre'],['12','12 - Diciembre']],
					autoSelect		: false,
    			    hideTrigger		: false,
    			    minChars		: 1,
    			    typeAhead		: true,
    			    value			: 1
		        },{
					xtype           : 'combobox',
					name			: 'expireYear',
					fieldLabel      : 'Expire Year',
					forceSelection	: true,
					queryMode       : 'remote',
					queryParam 		: null,
					valueField		: 'code',
					displayField	: 'description',
					store			: [['2015','2015'],['2016','2016'],['2017','2017'],['2018','2018'],['2019','2019'],['2020','2020'],['2021','2021'],['2022','2022'],['2023','2023'],['2024','2024'],['2025','2025']],
					autoSelect		: false,
    			    hideTrigger		: false,
    			    minChars		: 1,
    			    typeAhead		: true,
    			    value			: 2015
		        },{
		            xtype			: 'textfield',
		            name			: 'email',
		            value			: localStorage.user,
		            hidden			: true
		        }],
        buttons: [{
            text			: 'Get Premium',
            formBind		: true,
            listeners: {
                click		: 'onPremium'
            }
        }]
    }
});


Ext.onReady(function() {
    Ext.apply(Ext.form.field.VTypes, {
        surname: function(val, field) {
            var form = field.up('form'); 
            var data = form.getValues();
            var compareTo = data[field.compareTo];
            return val !== compareTo;
        },
        surnameText: 'Surname and Name are the same',
        creditNumber: function(val) {
        	return val.replace(/[ \-]/g,'').length == 16;
        },
        creditNumberMask: /[ \d\-]/,
        creditNumberText: 'Not a valid credit card number'
    });
});