/**
 * Latest trends.
 */
Ext.define('Tellmetweet.view.trendList.DataList', {
    extend		: 'Ext.grid.Panel',
    xtype		: 'dataList',
    alias 		: 'widget.dataList',
    controller 	: 'trendListController',
	cls			: 'trendList',
	clsBase		: 'trendList',
    
	requires: ['Tellmetweet.view.trendList.TrendListController'],
	
    
	initComponent : function(){
		var me = this;
		me.title = 'Trend List';
		
		me.store = Ext.create('Tellmetweet.store.TrendList');
		
		me.columns = {
				defaults : {
					sortable : true,
					menuDisabled : true
				},
				items : [{
					text 		: 'Topic',
					dataIndex 	: 'name',
					width		: '59%'
				},{
					text 		: 'Location',
					dataIndex 	: 'locationName',
					align		: 'center',
					width		: '20%'
				},{
					text 		: 'Date',
					dataIndex 	: 'fcreate',
					xtype		: 'datecolumn',
					format		: 'Y-m-d', 
					width		: '10%'
				},{
					text 		: 'Time',
					dataIndex 	: 'fcreate',
					xtype		: 'datecolumn',
					format		: 'H:i', 
					width		: '10%'
				}
				]
			};
		
		me.dockedItems = [{
			xtype 		: 'pagingtoolbar',
			cls 		: 'pagingtoolbar',
			store 		: me.getStore(),
			dock 		: 'bottom',
			displayInfo : true
		}];
		
		me.callParent();
	}


    

});