Ext.define('Tellmetweet.view.trendList.TrendListController', {
    extend: 'Ext.app.ViewController',

    alias: 'controller.trendListController',

    init: function () {
    	var me = this;

    	/* Controles */
		this.control({
			'dataList': {
				afterrender : me.load
			},
			
			'trendListFilter' :  {
				validitychange : me.onValidate
			}
			
			
		});
		
    },
    
	load: function (dataList) {

		var me = this;	
		me.store = Ext.create('Tellmetweet.store.TrendList');
		dataList.setLoading(true);
		
		/* Filtro */
		var trendListFilter = me.view.up('trendList').down('trendListFilter');
		var comboBox  = trendListFilter.down('combobox');
		
		if(!comboBox.store.isLoaded()){
			comboBox.setLoading(true)
			comboBox.store.load({
				callback : function(records, operation, success) {
					comboBox.setLoading(false)
					if (success) {
						comboBox.setDisabled(false);
						comboBox.queryMode = 'local';
					}
				}
			});
		};
		

		var woeid = comboBox.value;
		var from_date = trendListFilter.down('datefield[name=from_date]').rawValue;
		var to_date = trendListFilter.down('datefield[name=to_date]').rawValue;
		if(woeid==null){woeid = 23424950; }  // Spain woeid
		var json = {responseType: 'list'};
		json.where = [];
		json.where.push( {name: 'woeid', value : woeid} );
		json.where.push( {name: 'from_date', value : from_date} );
		json.where.push( {name: 'to_date', value : to_date} );
		
		/* Carga store */
		me.store.getProxy().setExtraParams({'filterJson' : Ext.encode(json), 'userEmail' : localStorage.user});
		me.store.load({
			callback : function(records, operation, success) {
				dataList.setLoading(false);
					if (success) {
						var storePag = Ext.create('Tellmetweet.store.TrendListMemory');
						dataList.down('pagingtoolbar').setStore(storePag);
						dataList.setStore(storePag);
						dataList.getStore().getProxy().setData(records);
						dataList.getStore().load();
					}else{
						Ext.MessageBox.alert('Error', operation.error.response.responseText);
					}
			}
		});
	},
	
	onSearch: function(btn) {
		var me = this;
		me.load(me.view.up().down('dataList'));
	},
	
	onClean: function(btn) {
		var me = this;
		me.view.form.reset();
	},
	
	onValidate : function() {
		var me = this;
		me.view.down('button[handler=onClean]').setDisabled(!me.view.form.isValid());
		me.view.down('button[handler=onSearch]').setDisabled(!me.view.form.isValid());
	}
	
    
});