Ext.define('Tellmetweet.view.userLocations.UserLocations', {
    extend: 'Ext.window.Window',
    xtype: 'userLocations',

    requires: [
        'Ext.form.Panel'
    ],

    controller	: 'userLocations',
    bodyPadding	: 10,
    title		: 'User Locations',
    closable	: false,
    autoShow	: true,
    closeAction	: 'destroy',
    autoScroll	: 'true',
    closable	: true,
    modal		: true,

    items: {
        xtype		: 'form',
        reference	: 'form',
        
        items: [{
			xtype           : 'combobox',
			number			: '0',
			name			: 'combo0',
			forceSelection	: true,
			fieldLabel      : 'Location 1',
			queryMode       : 'remote',
			queryParam 		: 'queryParam',
			valueField		: 'woeid',
			displayField	: 'locationName',
			store			: Ext.create('Tellmetweet.store.ActiveLocation'),
			triggerAction	: 'all',
			autoSelect		: false,
		    hideTrigger		: false,
		    minChars		: 1,
		    typeAhead		: true,
		    disabled		: true,
		    allowBlank 		: false,
		    blankText 		: 'Selecciona una localización...',
	        vtype			: 'woeidMatch', 
	        compareTo		: 'combo1',
	        compareTo2		: 'combo2'
   		},{
			xtype           : 'combobox',
			number			: '1',
			name			: 'combo1',
			forceSelection	: true,
			fieldLabel      : 'Location 2',
			queryMode       : 'remote',
			queryParam 		: 'queryParam',
			valueField		: 'woeid',
			displayField	: 'locationName',
			store			: Ext.create('Tellmetweet.store.ActiveLocation'),
			triggerAction	: 'all',
			autoSelect		: false,
		    hideTrigger		: false,
		    minChars		: 1,
		    typeAhead		: true,
		    disabled		: true,
		    allowBlank 		: false,
		    blankText 		: 'Selecciona una localización...',
	        vtype			: 'woeidMatch', 
	        compareTo		: 'combo0',
	        compareTo2		: 'combo2'
   		},{
			xtype           : 'combobox',
			number			: '2',
			name			: 'combo2',
			forceSelection	: true,
			fieldLabel      : 'Location 3',
			queryMode       : 'remote',
			queryParam 		: 'queryParam',
			valueField		: 'woeid',
			displayField	: 'locationName',
			store			: Ext.create('Tellmetweet.store.ActiveLocation'),
			triggerAction	: 'all',
			autoSelect		: false,
		    hideTrigger		: false,
		    minChars		: 1,
		    typeAhead		: true,
		    disabled		: true,
		    allowBlank 		: false,
		    blankText 		: 'Selecciona una localización...',
            vtype			: 'woeidMatch', 
            compareTo		: 'combo0',
            compareTo2		: 'combo1'
   		}
        ],
        buttons: [{
            text			: 'Save',
            formBind		: true,
            listeners: {
                click		: 'onUpdate',
                vista		: this
            }
        }]
    }
});

Ext.onReady(function() {
	
	var me = this;
	
    Ext.apply(Ext.form.field.VTypes, {
       	
        woeidMatch: function(val, field) {
            var form = field.up('form'); 
            var data = form.getValues();
            var compareTo = data[field.compareTo];
            var compareTo2 = data[field.compareTo2];
            return field.value !== compareTo && field.value !== compareTo2;
        },
        woeidMatchText: 'The fields are equals'
        
    });
    
});