Ext.define('TutorialApp.view.userLocations.UserLocationsController', {
    extend: 'Ext.app.ViewController',
    alias: 'controller.userLocations',
    
    init: function () {
    	var me = this;
		this.control({
			'userLocations': {
				show : me.load
			}
		});
		
    },
    
    load: function () {
    	var me = this;
    	var woeid = me.view.woeid;
    	me.loadCombo(me.view.down('combobox[number=0]'), woeid);
    	me.loadCombo(me.view.down('combobox[number=1]'), woeid);
    	me.loadCombo(me.view.down('combobox[number=2]'), woeid);
    	
    },
    
    /**
     * Carga el comboBox
     */
    loadCombo: function(comboBox, woeid){
		comboBox.woeid = woeid;
		comboBox.up().setLoading(true)
		comboBox.store.load({
			callback : function(records, operation, success) {
				comboBox.up().setLoading(false)
				comboBox.setDisabled(false);
				comboBox.setValue(comboBox.woeid[comboBox.number]);
				if (success) {
					comboBox.queryMode = 'local';
				}
			}
		});
    },
    

    onUpdate: function() {
    	var me = this;
    	var form = me.view.down('form');
    	if (form.isValid()) {
            form.submit({
            	url : window.location.origin + window.location.pathname + 'rest/userLocations/update/',
            	headers: {'Content-Type': 'application/json'},
            	method:'POST',
            	params: {'userEmail' : localStorage.user},
     			jsonSubmit: true, 
     		    scope : this,
                waitTitle:'Wait...', 
                waitMsg:'Saving...',
                success: function(form, action) {
                	this.view.maincontroller.onChangeCenter('homeTrends');
                	this.getView().destroy();
                },
                failure: function(form, action) {
                    Ext.Msg.alert('Error', action.result.errors[0].msg);
                }
            });
            
        }else{
         Ext.Msg.alert('Error','Rellena los campos');
        }


    }
});
